import React, {useState, useEffect} from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = "https://gist.githubusercontent.com/Gogineni44/465df8155a8623aeeff386425a0e51ec/raw/4b0430b38ff24e49b53c32696b626e6ad0cc944b/angola.geojson";

export const getMexico = () => {

  const [data, setData] = useState(null);
  
  console.log("data :",data);
	
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      const { map12REGION } = topojsonData.objects;
        console.log("topojsonData :",topojsonData);

    	setData(feature(topojsonData, map12REGION));
    })
  }, []);
  
  return data
}

